[metadata]
name = M2Crypto
version = attr: M2Crypto.__version__
author = Ng Pheng Siong
author_email = ngps@sandbox.rulemaker.net
maintainer = Matej Cepl
maintainer_email = mcepl@cepl.eu
description = A Python crypto and SSL toolkit
long_description = file: README.rst
url = https://sr.ht/~mcepl/m2crypto/
keywords =
    cryptography
    openssl
license = MIT
classifiers =
    Development Status :: 5 - Production/Stable
    Intended Audience :: Developers
    License :: OSI Approved :: MIT License
    Operating System :: OS Independent
    Programming Language :: C
    Programming Language :: Python
    Topic :: Security :: Cryptography
    Topic :: Software Development :: Libraries :: Python Modules
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10
    Programming Language :: Python :: 3.11
    Programming Language :: Python :: 3.12

[options]
zip_safe = False
include_package_data = True
package_dir=
    =src
packages = find:
install_requires =
    importlib-metadata; python_version < "3.8"

[options.packages.find]
where=src
exclude =
    contrib*
    docs*
    tests*

[options.package_data]
M2Crypto = *.dll

[egg_info]
tag_build =
tag_svn_revision = 0

[flake8]
; ignore = E402,E501,E731,N806,N803,N802,E265
ignore = E402,N806,N803,N802,E501

[pydocstyle]
ignore = D10,D203,D213
